mofep-synthesis
===============

Analysis code for the following paper:

Kellner KF, Renken RB, Millspaugh JJ, Porneluzi P, Wolf AJ, Fantz D, Gitzen RA, Faaborg J, Timm S, Ehlers S, Buchanan M, Haslerig J, George A, Rota CT. 2019. Effects of forest management on vertebrate communities: Synthesizing two decades of data from upland hardwood forests in Missouri, USA. Ecological Applications.

For more information, contact Ken Kellner at research@kenkellner.com.

Metadata
--------

The analysis uses `R` for data processing (available at [https://www.r-project.org/](https://www.r-project.org/)) and `Stan` for Bayesian analysis (available at [https://mc-stan.org/](https://mc-stan.org/).
)
Code should be run in the following order:

**clean**
* Clean and combine datasets from each taxa (uses R packages `tidyverse`, `readxl`, and `sf`).
* Combine taxa datasets into a format suitable for use in Stan.
* An example of the cleaned data is available in `example_stan_inputs.csv`.

**analysis**
* The abundance analysis uses `model_fit.R` and `model_code.stan`.
* The richness analysis uses `model_richness_fit.R` and `model_richness_code.stan`.
* See comments in model files for more details.

**tables**
* `Rmarkdown` code that takes output from analysis and converts into a Word table.

**figures**
* `R` code that takes output from the analysis and converts it into the figures in the paper, in `tiff` format.
* Figures are identified by number, matching the paper.

**talk**
* `R`, `Rmarkdown`, and `latex` code to generate the slides for the talk on this project given at the 2018 Wildlife Society Annual Meeting in Cleveland, OH.
