#==============================================================================
#	Fitted Model Diagnostics
#==============================================================================

#====Dependencies==============================================================
options(tidyverse.quiet=TRUE)
library(tidyverse)
suppressMessages(library(rstan))
suppressMessages(library(bayesplot))
suppressMessages(library(cowplot))
#==============================================================================

#====Read Output Data==========================================================

#Most recent Rdata file
load(paste('../analysis/',
           rev(list.files('../analysis',pattern='model_fit_'))[1],sep=''))

#==============================================================================
#====Diagnostics===============================================================

yrep = extract(mofep_out, pars='yrep')[[1]]

prop_zero = function(x) mean(x == 0)

color_scheme_set("gray")
set.seed(789)
samp = sample(1:ncol(yrep),500)
scatter = ppc_scatter_avg(y = raw_counts[samp], yrep = yrep[1:50,samp])
meanplot = ppc_stat(raw_counts,yrep[1:50,],'mean',binwidth=0.001)
maxplot = ppc_stat(raw_counts,yrep[1:50,],'max',binwidth=10)
zeroplot = ppc_stat(raw_counts,yrep[1:50,],prop_zero,binwidth=0.0005)

out <- ggdraw() +
  draw_plot(scatter,0,0.5,0.5,0.5) +
  draw_text('A',0.15,0.9,size=16) +
  draw_plot(meanplot, 0.5, 0.5, 0.5, 0.5) +
  draw_text('B',0.86,0.93,size=16) +
  draw_plot(maxplot,0,0,0.5,0.5) +
  draw_text('C',0.08,0.4,size=16) +
  draw_plot(zeroplot,0.5,0,0.5,0.5) +
  draw_text('D',0.55,0.4,size=16)

#ggsave('fig_appendixC.pdf',height=6)
#ggsave('fig_appendix1_S1.tiff', height=6, dpi=300, compression='lzw')
#==============================================================================
