#Function adapted from get.mdb in Hmisc
#To avoid annoying labelling
read_mdb = function(file, tables=NULL, mdbexportArgs='-b strip') {
  rettab <- length(tables) && is.logical(tables)
  if(rettab) tables <- NULL
  if(!length(tables))
    tables <- system(paste('mdb-tables -1', file), intern=TRUE)
  if(rettab) return(tables)

  f <- tempfile()
  D <- vector('list', length(tables))
  names(D) <- tables

  for(tab in tables) {
    system(paste('mdb-export', mdbexportArgs, file, shQuote(tab), '>', f))
    d <- read_csv(f,col_types=cols(),progress=FALSE)
    if(length(tables) == 1) return(d)
    else D[[tab]] <- d
  }
  D
}
