---
title: "Effects of Forest Management on Vertebrate Communities: Synthesizing Two Decades of Results From a Long-Term Study"
author: Kenneth F. Kellner and Christopher T. Rota
---

Over the past two decades, the Missouri Ozark Forest Ecosystem Project (MOFEP) has provided a scientifically rigorous framework for examining the effects of uneven- and even-aged forest management approaches on the forest ecosystem.
Recent products of MOFEP include publications on the effects of forest management on birds, reptiles, amphibians, and small mammals.
These studies have provided valuable insight on species ecology and short- and long-term impacts of different management regimes, but have primarily been focused on individual species or taxa.
Synthesis and integration across wildlife taxa is also a primary goal of MOFEP, but to this point research has been qualitative, or focused on short-term responses to management.
To address this goal, we synthesized two decades of data (spanning two harvest entries) on multiple vertebrate taxa at the MOFEP sites.
We applied a recent advancement in biodiversity modeling (generalized joint-attribute modeling or 'gjam'), allowing us to combine data from studies varying in spatial and temporal scale. 
We analyzed the effect of forest management at multiple scales: (1) the entire vertebrate community, (2) comparison among vertebrate taxa; and (3) comparison among individual species.
We found vertebrate richness to be highest in areas managed with uneven-aged approaches, because these sites were also likely to have the greatest habitat heterogeneity.
Furthermore, we found that vertebrate species with (1) specialized habitat requirements and (2) low dispersal ability to be most impacted by management.
Synthesizing results across the vertebrate community at large spatial and temporal scales allows managers to better understand tradeoffs when making decisions that will affect wildlife in contrasting ways.
