suppressMessages(library(tidyverse))

#Data collection in Web of Science
paper_counts <- data.frame(Taxa = c('Small Mammals','Birds','Herpetofauna'),
                           Count = NA)

#Small Mammals
#TI=((small mammal* OR rodent*) AND (harvest OR forest manag*))
paper_counts$Count[1] <- 78

#Birds
#TI=((bird* OR avian*) AND (harvest OR forest manag*))
paper_counts$Count[2] <- 269

#Herps
#TI=((herpetofauna OR herp OR salamander* OR amphibian* OR reptile) AND (harvest OR forest manag*))
paper_counts$Count[3] <- 85

paper_fig <- paper_counts %>%
  rename(`Paper Count` = Count) %>%
  mutate(Taxa = factor(Taxa, levels=c('Small Mammals','Birds','Herpetofauna'))) %>%
  ggplot(aes(x = Taxa, y = `Paper Count`)) +
  geom_bar(stat='identity', fill = c('firebrick2','dodgerblue', 'forestgreen')) +
  theme(legend.position='none',
        axis.title = element_text(size=20),
        axis.text = element_text(size=14),
        plot.title = element_blank(),
        plot.background = element_rect(fill='transparent', color=NA))

ggsave('fig_litsearch.pdf', height=4.5, bg='transparent')
